/*
 *
 *                         DES SOFTWARE PACKAGE
 *                             Version 2.2
 *
 *                                        _
 * Copyright (c) 1990,1991,1992,1993 Stig Ostholm.
 * All Rights Reserved
 *
 *
 * The author takes no responsibility of actions caused by the use of this
 * software package and does not guarantee the correctness of the functions.
 *
 * This software package may be freely distributed for non-commercial purpose
 * as long as the copyright notice is kept. Any changes made should be
 * accompanied by a comment indicating who made the change, when it was made
 * and what was changed.
 *
 * This software package, or any parts of it, may not be used or in any way
 * re-distributed for commercial purpose without the authors permission.
 * The author keeps the right to decide between of what is commercial and
 * what is non-commercial purpose.
 *
 * Restrictions due to national laws governing the use, import or export of
 * cryptographic software is the responsibility of the software user/importer/
 * exporter to follow.
 *
 *
 *                                              _
 *                                         Stig Ostholm
 *                                         Chalmers University of Technology
 *                                         Department of Computer Engineering
 *                                         S-412 96 Gothenburg
 *                                         Sweden
 *                                         ----------------------------------
 *                                         Email: ostholm@ce.chalmers.se
 *                                         Phone: +46 31 772 1703
 *                                         Fax:   +46 31 772 3663
 */

/*
 * Environment varibales:
 *
 *	DES_KEY1	Value, contains DES textstring key 1
 *	DES_KEY2	Value, contains DES textstring key 2
 *	 ...
 *
 *	DES_XKEY1	Value, same as DES_KEY but contains hex. number.
 *	 ...
 *
 *	DES_KEYFILE	Value, contains name of file where DES textstrings
 *			keys are stored.
 *
 *	DES_XKEYFILE	Value, same as DES_KEYFILE but contains hex keys.
 *
 *	DES_CORE	Value, selects encrytp/descrypt core algorithm.
 *
 *	DES_MODE	Value, selects encrytp/descrypt mode.
 *
 *	DES_COMPATIBLE	Value, selects DES compatibility mode.
 *
 *	DES_XIVEC	Value, contains init vector (hex. number).
 *
 *	DES_XIVECFILE	Value, conatins name of file where DES init. vector
 *			is store has a hexadecimal value.
 *
 *	DES_XOVECFILE	Value, conatins name of file where final DES output
 *			vector value should be stored after successful
 *			encryption/decryption has been made.
 *			The value is stored as a hexadecimal number.
 *
 * The search order of keys in the environment variables is specified in the
 * table `env_tab' in `getkey.c'. All command line options should have
 * priority over these env. var.
 *
 *
 * NOTE: Use of DES_KEYn, DES_XKEYn and DES_XIVEC is currently switched
 *	off. Anyone may list the environemnt of a process with the 'ps'
 *	command on a UNIX machine. Be careful if these environment
 *	variables are used.
 */
 
/* #define DES_KEY		"DES_KEY%d"	/**/
/* #define DES_XKEY	"DES_XKEY%d"		/**/
#define DES_KEYFILE	"DES_KEYFILE"		/**/
#define DES_XKEYFILE	"DES_XKEYFILE"		/**/

#define DES_CORE	"DES_CORE"		/**/

#define DES_MODE	"DES_MODE"		/**/

#define DES_COMPATIBLE	"DES_COMPATIBLE"	/**/

/* #define DES_XIVEC	"DES_XIVEC"		/**/
#define DES_XIVECFILE	"DES_XIVECFILE"		/**/
#define DES_XOVECFILE	"DES_XOVECFILE"		/**/
